cURL
curl --request GET \
--url https://api.ctrl-hub.com/admin/v3/service-accounts/{service_account_id} \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/admin/v3/service-accounts/{service_account_id}"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/admin/v3/service-accounts/{service_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"enabled": true,
"keys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"groups": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"errors": [
{
"id": "1b3f2c30-2d56-4d3a-9c44-9be9c2cbf2f0",
"status": "403",
"title": "Forbidden",
"detail": "You do not hold the grant required for this action.",
"code": "AUTH.002"
}
]
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Service Accounts
Get a system service account
Get a system-level service account by ID. Returns 404 for org-bound service accounts even if the ID matches — the system endpoint never exposes org-scoped identities.
GET
/
admin
/
v3
/
service-accounts
/
{service_account_id}
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the system service account.
⌘I